#pragma once

#include <game/note.hpp>

namespace editor {

class NoteRecorder
{
private:
    int currentButton;
    int modifier;
    float startTime;
    float buttonTime;
    float songTime;

public:
    std::list<game::noteInfo*> recordedNotes;
    bool recording;
    float songStart;

    NoteRecorder();
    ~NoteRecorder();

    bool IsRecording();

    float GetPosition();
    void SetPosition(float time);

    void Start(float time);
    void Stop();
    void Reset();
    void Update();
};

}

